Description

As QGIS is complex, the main toolbar has a lot of items and thus the user needs some time to scan/read/recognize the items again and

again.

We can establish a second level toolbar, as most similar complex UIs do (GIMP, Inkscape, Eclipse, ...) at the map view workspace. Here

is a simple mashup I created:

!qgis map menu.png!

IMHO this makes it easier for the user to find the tools that he is looking for:

    -  general tools remain in maintoolbar (even some as selection by filter etc. can be also moved to the layer window instead)

    -  tools related to the map (panning, zoom, selection, measurement, annotation) are where they are needed

So the user not only needs to scan shorter lists and just remember the context of a tool (that is mostly implicit), he also has a slihtly

shorter way for his pointing device :)

History

#1 - 2013-12-27 03:50 PM - Nathan Woodrow

We have considered this before but you loose the ability to move a toolbar if it isn't owned my QMainWindow.  So yes it can be done but then you can no

longer move the toolbar if you don't like it there.

#2 - 2013-12-28 12:29 AM - Noone Noone

Mhh thats bad :( Is there really no way to get both? Unfortunatly I have no QT skills...

#3 - 2013-12-28 01:57 AM - Nathan Woodrow

The only way to have a moveable toolbar is to have it owned by QMainWindow.  You can have more then one QMainWindow per application so in theory

we could have the canvas in a QMainWindow that is inside the other main QMainWindow.  This would enable a toolbar to be owned by the inner

QMainWindow however you can't dock it to the outside one if you wanted.   So in the end the map controls could only move inside the canvas area and

never dock along side the other toolbars.    This might be OK but we would have to test it and I think personally it would confuse users because they would

no longer be able to move the toolbar to outside the canvas.

#4 - 2013-12-28 02:14 AM - Noone Noone

I see... Maybe stackoverflow, stackexchange, ... know a different tweak to avoid this n instance mainwindow thing? I recommend to avoid an bad MDI like

in GIMP ;)

#5 - 2013-12-28 02:21 AM - Nathan Woodrow
Oh it wouldn't be MDI.  It would look exactly like it does now.

#6 - 2014-01-02 08:16 PM - Nathan Woodrow

Do you have the ability to build your own copy of QGIS.  I have some code that implements a sub main window and moves some of the toolbars there just

for testing.

#7 - 2014-01-05 06:23 AM - Noone Noone

I'm sorry but I lack the skills and time to start learning compiling QGIS :(

Do you like to share screenshots or a screencast?

#8 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
